net.corda.core.messaging

## Interface ReceivedMessage

- All Superinterfaces:
    Message

      public ReceivedMessage
      extends Message

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.x500.X500Name` | `getPeer()` The authenticated sender.

    - ### Methods inherited from interface net.corda.core.messaging.Message

      `getData, getDebugTimestamp, getTopicSession, getUniqueMessageId`

- - ### Method Detail

    - #### getPeer

          org.bouncycastle.asn1.x500.X500Name getPeer()

      The authenticated sender.